import numpy as np

import sasktranif.sasktranif as skif


class uCATS_platform(object):
    
    def __init__(self):
        
        self.los = []
        self.sensorOffsets_km = np.array([-14.25,0,14.25,-21.375,-7.125,7.125,21.375])
        
    def SetSensorLinesOfSight(self, mainAxis, observer):
        
        geodetic = skif.ISKGeodetic()
        self.los = [0,]*len(mainAxis)
        self.vert = [0,]*len(mainAxis)
        self.obs = [0,]*len(mainAxis)
        self.tp = np.array([])
        for i in range(0,len(mainAxis)):
            self.los[i] = [0,]*len(self.sensorOffsets_km)
            self.vert[i] = [0,]*len(self.sensorOffsets_km)
            self.obs[i] = [0,]*len(self.sensorOffsets_km)
            geodetic.SetLocationFromTangentPoint(observer[i], mainAxis[i])
            tanalt = geodetic.GetAlt()
            for j in range(0,len(self.sensorOffsets_km)):
                #find line of sight from tangent altitude
                ok, temp = geodetic.SetLocationFromTangentAltitude( tanalt+self.sensorOffsets_km[j]*1000, observer[i], mainAxis[i])
                self.los[i][j] = np.reshape(temp,(1,3))
                
                self.tp = np.append(self.tp, geodetic.GetAlt())
                #get local up at satellite position
                #TODO: vertical should be set based on sensor orientation, not satellite (but this isnt bad for now)
                geodetic.SetLocationXYZ( observer[i])
                self.vert[i][j] =   np.reshape(geodetic.GetLocalUp(),(1,3))
                
                self.obs[i][j] =  np.reshape(observer[i],(1,3))