from omps.plotting.load_data_from_h5 import LoadDataFromHDF, LoadDataFromHDF_MLS
import omps.plotting.plot_data as gplt
import matplotlib.pyplot as plt
import numpy as np
import pickle
import astropy.time as at
import matplotlib.text as mtxt
import matplotlib.axis as max
import utility.mpl as ras

#
omps = LoadDataFromHDF()
omps.load_data_from_date_range((2015,8,1),(2015,12,30))
omps.mjd_smoothing    = 1
omps.mjd_res          = 0.25
omps.lat_smoothing    = 1
omps.lon_smoothing    = 12.5
omps.lat_res          = 1
omps.lon_res          = 5
omps.do_ozone         = False
omps.do_aerosol       = False
omps.do_albedo        = False
omps.zonal_ave()
omps.smooth_data()

# mls = LoadDataFromHDF_MLS()
# mls.load_data_from_date_range((2015,9,1),(2015,9,3))
# mls.mjd_smoothing    = 1
# mls.mjd_res          = 0.25
# mls.lat_smoothing    = 1
# mls.lon_smoothing    = 12.5
# mls.lat_res          = 1
# mls.lon_res          = 5
# mls.do_ozone         = False
# mls.do_aerosol       = False
# mls.do_albedo        = False
# mls.do_aerosol_col   = False
# mls.smooth_data()

# f = plt.figure()
# f.set_facecolor('black')
# plt.subplot(1,2,1)
# c = gplt.plot_worldmap(omps.lat_smooth, omps.lon_smooth, omps.o3_col_smooth[0,:,:],levels=np.linspace(100,401,100),projection='ortho',labels=False,meridian_width=1.0,lon_0=90, lat_0=-75)
# plt.colorbar(orientation='horizontal',ticks=np.arange(100,500,100))

# plt.subplot(1,2,2)
# c = gplt.plot_worldmap(mls.lat_smooth, mls.lon_smooth, mls.o3_col_smooth[1,:,:],levels=np.linspace(100,401,100),projection='mill')
# t = at.Time(mls.mjd_smooth[1],format='mjd')
# plt.suptitle(t.iso[0:10])
# plt.colorbar(orientation='horizontal',ticks=np.arange(0,4e-2,1e-2))
# plt.show()
#
ozone = dict()
ozone['lat'] = omps.lat_smooth
ozone['lon'] = omps.lon_smooth
ozone['dob'] = omps.o3_col_smooth
ozone['aod'] = omps.aer_col_smooth
ozone['mjd'] = omps.mjd_smooth
pickle.dump( ozone, open( "smoothed_ozone.p", "wb" ) )
ozone = pickle.load(open(r'C:\Users\lar555\Documents\Software\Repos_skpython\omps\plotting\smoothed_ozone.p', 'rb'))
# plt.rc('font')
mtxt.Text(color='w')
# max.XTick(color='w')
# max.YTick(color='w')
for i in range(len(ozone['mjd'])):
    f = plt.figure()
    f.set_facecolor('black')
    plt.subplot(1,2,1)
    c = gplt.plot_worldmap(ozone['lat'],ozone['lon'],ozone['dob'][i,:,:],levels=np.linspace(150,351,100),projection='ortho',labels=False,meridian_width=1.0,lon_0=90, lat_0=-80)
    cbar = plt.colorbar(orientation='horizontal',ticks=np.arange(150,351,50),alpha=1.0)
    cbar.set_label('ozone column [du]',color='w')
    cbar.ax.set_xticklabels([150,200,250,300,350],color='w')
    plt.subplot(1,2,2)
    c = gplt.plot_worldmap(ozone['lat'],ozone['lon'],ozone['aod'][i,:,:],levels=np.linspace(0,2.0e-2,100),projection='ortho',labels=False,meridian_width=1.0,lon_0=90, lat_0=-80)
    t = at.Time(ozone['mjd'][i],format='mjd')
    plt.suptitle(t.iso[0:10],color='w')
    cbar = plt.colorbar(orientation='horizontal',ticks=np.arange(0,4e-2,0.5e-2),alpha=1.0)
    cbar.set_label('aerosol column [aod x 10^-3]',color='w')
    cbar.ax.set_xticklabels([0,5,10,15,20,25,30,35],color='w')
    plt.savefig('figure' + str(i) + '.png',dpi=600,facecolor=f.get_facecolor())
    plt.close()

plt.show()