import numpy as np


class GaussianNoiseGenerator(object):
    def __init__(self, perc_error = 5, seed = None):
        self.stdev_perc_error = perc_error
        np.random.seed(seed)
        
    def add_noise( self, rad ):
        noise_frac = self.stdev_perc_error / 100
        
        rad_new = rad * np.random.normal( 1.0, noise_frac, np.shape(rad) )
        
        return rad_new