import numpy as np

def date2jd(year, month=0, day=0, hour=0, minute=0, second=0):
    a = np.floor((14 - month)/12)
    y = year + 4800 - a
    m = month + 12*a - 3

    # For a date in the Gregorian calendar:
    jd = day + np.floor((153*m + 2)/5) + y*365 + np.floor(y/4) - np.floor(y/100) + np.floor(y/400) - 32045 + ( second + 60*minute + 3600*(hour - 12) )/86400
    return jd

def date2mjd(year, month=0, day=0, hour=0, minute=0, second=0):

    return ( date2jd(year, month, day, hour, minute, second) - 2400000.5 )